org.keycloak.models.jpa.session

## Class JpaUserSessionPersisterProviderFactory

- java.lang.Object
- - org.keycloak.models.jpa.session.JpaUserSessionPersisterProviderFactory

- All Implemented Interfaces:
    UserSessionPersisterProviderFactory, ProviderFactory<UserSessionPersisterProvider>

      public class JpaUserSessionPersisterProviderFactory
      extends Object
      implements UserSessionPersisterProviderFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaUserSessionPersisterProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `UserSessionPersisterProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `int` | `order()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.session.UserSessionPersisterProviderFactory

      `postInit`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JpaUserSessionPersisterProviderFactory

          public JpaUserSessionPersisterProviderFactory()

  - ### Method Detail

    - #### create

          public UserSessionPersisterProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<UserSessionPersisterProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<UserSessionPersisterProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<UserSessionPersisterProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<UserSessionPersisterProvider>`

    - #### order

          public int order()

      Specified by:
        `order` in interface `ProviderFactory<UserSessionPersisterProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.